#include "llrb.h"

#define N_DATA 10

int int_comparison(int a, int b)
{
  //if (a == b) return 1;
  return a - b;
}

int main(void)
{
  LLRBTree tree[1];
  FILE* f = fopen("tree.log", "w");
  
  init(tree, int_comparison);
  tree->file = f;

  printf("starting insertion\n");
  int i;

  for (i = 1; i <= 16; i++) {
    insert(tree, i);
  };
  for (i = 8; i > 1; i--) {
    delete(tree, i);
  };

//  insert(tree, 0);
//  insert(tree, 60);
//  insert(tree, 65);
  fclose(f);
  
  printf("done with insertion\n");
  printf("max depth with %d nodes is %d\n", N_DATA, max_depth(tree));
}